package domain

type AlibabaWdkMarketingItembuygiftQueryactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   查询返回的活动信息     */
	Data *AlibabaWdkMarketingItembuygiftQueryactivityItemBuyGiftActivity `json:"data,omitempty" `

	/*
	   查询活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult) SetData(v AlibabaWdkMarketingItembuygiftQueryactivityItemBuyGiftActivity) *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItembuygiftQueryactivityMarketResult {
	s.Success = &v
	return s
}
